# Kostenstelle aktualisieren

`PUT https://{tenant}.stamp.eu/rest/cost_centers/{costCenter}`

## Pfadparameter

| Name | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `costCenter` | string | ja | The cost center ID |

## Request-Body

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `code` | string | ja |
| `name` | string | ja |
| `description` | string \| null | nein |

## Antworten

### 200: `CostCenterResource`

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `data` | object | ja |
| `data.id` | string | ja |
| `data.code` | string | ja |
| `data.name` | string | ja |
| `data.description` | string | ja |
| `data.created_at` | string | ja |
| `data.updated_at` | string | ja |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 404: Not found

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
